# Find-RASMFAUsers.md

## NAME

Find-RASMFAUsers

## SYNOPSIS

Find MFA TOTP/EmailOTP users by matching substring.

## SYNTAX

**Find-RASMFAUsers** -[Like](#like-string) *(string)* \[[MFAId](#mfaid-string) *(uint)*] \[[SiteId](#siteid-string) *(uint)*] \[-[Type](#Type) {GAuthTOTP | TOTP | MicrosoftTOTP | EmailOTP}] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Find MFA TOTP/EmailOTP users by matching substring.

## PARAMETERS

## SiteId (uint)

Site ID where the users will be searched.

```
        Required?                    false

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Like (string)

Find users matching this pattern.

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## MFAId (uint)

The ID of the MFA Provider to be modified.

In case of TOTP Provider, the ID will always be 0. Default: 0.

```
        Required?                    false

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Type ([MFAUsersType](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/mfauserstype.md))

The MFA Provider Type to be modified.

If the parameter is omitted, the site ID of the Licensing Server will be used.

Possible values: GAuthTOTP, TOTP, MicrosoftTOTP, EmailOTP

```
        Required?                    false

        Position?                    named

        Default value                TOTP

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Find-RASMFAUsers -Like "@my.domain.local" -Type TOTP

Find MFA TOTP users matching the pattern "@my.domain.local".\
\*\*---------- EXAMPLE 2 ----------

Find-RASMFAUsers -Like "@my.domain.local" -Type EmailOTP -MFAId 1

Find MFA EmailOTP users matching the pattern "@my.domain.local".

## RELATED LINKS

* [Add-RASMFAUsers](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/add-rasmfausers.md)
* [Reset-RASMFAUsers](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/reset-rasmfausers.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/find-rasmfausers.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
